Package org.eclipse.mat.parser.index

## Class IndexWriter.LongIndexCollector

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexWriter.LongIndexCollector

Enclosing class:
  IndexWriter

    public static class IndexWriter.LongIndexCollector
    extends Object

### Constructor Summary

Constructors
`LongIndexCollector​(int size, int mostSignificantBit)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `get​(int index)`
`long[]` `getNext​(int index, int length)`
`IteratorLong` `iterator()`
`int` `reverse​(long value)`
`void` `set​(int index, long value)`
`int` `size()`
`void` `unload()`
`IIndexReader.IOne2LongIndex` `writeTo​(File indexFile)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LongIndexCollector

    public LongIndexCollector​(int size,
                              int mostSignificantBit)

### Method Detail

#### writeTo

    public IIndexReader.IOne2LongIndex writeTo​(File indexFile)
                                        throws IOException

Throws:
  `IOException`

#### set

    public void set​(int index,
                    long value)

#### get

    public long get​(int index)

#### getNext

    public long[] getNext​(int index,
                          int length)

#### reverse

    public int reverse​(long value)

#### unload

    public void unload()

#### size

    public int size()

#### iterator

    public IteratorLong iterator()